Module
Contents
Index 🔎︎
\<bookmark_value\>Chr function\</bookmark_value\>

# Chr Function

Returns the character that corresponds to the specified character code.

## Syntax:

    Chr(Expression As Integer)

## Return value:

String

## Parameters:

\<emph\>Expression:\</emph\> Numeric variables that represent a valid 8 bit ASCII value (0-255) or a 16 bit Unicode value.

Use the \<emph\>Chr$\</emph\> function to send special control sequences to a printer or to another output source. You can also use it to insert quotation marks in a string expression.

## Error codes:

5 Invalid procedure call

## Example:

    Sub ExampleChr

        REM This example inserts quotation marks (ASCII value 34) in a string.

        MsgBox "A "+ Chr$(34)+"short" + Chr$(34)+" trip."

        REM The printout appears in the dialog as: A "short" trip.

    End Sub

Related Topics

ASC